### Hierarchy

- ZlibOptions

## Index

### Properties

- chunkSize
- dictionary
- finishFlush
- flush
- level
- memLevel
- strategy
- windowBits

## Properties

### Optional chunkSize

chunkSize: undefined | number

- Defined in node_modules/@types/node/zlib.d.ts:16

default

  16*1024

### Optional dictionary

dictionary: Buffer | TypedArray | DataView | ArrayBuffer

- Defined in node_modules/@types/node/zlib.d.ts:21

### Optional finishFlush

finishFlush: undefined | number

- Defined in node_modules/@types/node/zlib.d.ts:12

default

  constants.Z_FINISH

### Optional flush

flush: undefined | number

- Defined in node_modules/@types/node/zlib.d.ts:8

default

  constants.Z_NO_FLUSH

### Optional level

level: undefined | number

- Defined in node_modules/@types/node/zlib.d.ts:18

### Optional memLevel

memLevel: undefined | number

- Defined in node_modules/@types/node/zlib.d.ts:19

### Optional strategy

strategy: undefined | number

- Defined in node_modules/@types/node/zlib.d.ts:20

### Optional windowBits

windowBits: undefined | number

- Defined in node_modules/@types/node/zlib.d.ts:17

Generated using TypeDoc